[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TDragManager.KeyDown

Handler for keyboard key pressed.

## Declaration

Source position: controls.pp line 472

`protected procedure TDragManager.KeyDown(`
`var Key: Word;`
`Shift: TShiftState`
`); virtual; abstract;`

## Description

When (and while) the Ctrl key is pressed, dropping is disabled.

The Esc key aborts the current dragging operation immediately.

The latest version of this document can be found at lazarus-ccr.sourceforge.net.